puppet-module-swift (20.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:03:25 +0100

puppet-module-swift (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 22:50:59 +0100

puppet-module-swift (19.4.0-2) unstable; urgency=medium

  * Clean-up update-alternatives handling.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jan 2022 11:07:03 +0100

puppet-module-swift (19.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Oct 2021 09:45:15 +0200

puppet-module-swift (19.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 14:04:04 +0200

puppet-module-swift (19.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Rebased:
    - add-mount_type-param.patch
  * Refreshed:
    - use-custom-uuid-fact.patch
  * Removed patches applied upstream:
    - Add-a-swift_drive_audit_config-puppet-type.patch
    - Add-support-for-swift_proxy-account-container_uwsgi_config-in-Debian.patch
    - Make_it_possible_to_skip_parted_and_mkfs.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 13:53:17 +0200

puppet-module-swift (18.4.0-2) unstable; urgency=medium

  * Add Make_it_possible_to_skip_parted_and_mkfs.patch.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:34:45 +0200

puppet-module-swift (18.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed fix-name-of-ceilometermiddleware-package.patch.
  * Fixed depends for this release.
  * Removed add_cname_lookup_middleware_support.patch applied upstream.
  * Add Add-a-swift_drive_audit_config-puppet-type.patch.
  * Add-support-for-swift_proxy-account-container_uwsgi_config-in-Debian.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 13:04:34 +0200

puppet-module-swift (18.3.0-2) experimental; urgency=medium

  * Fixed postinst.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 19:02:32 +0200

puppet-module-swift (18.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 21:00:52 +0100

puppet-module-swift (18.2.0-1) experimental; urgency=medium

  * Use custom ruby fact to fetch block device UUIDs.
  * Reworked check-for-commented-out-drives-in-fstab.patch to use a custom ruby
    fact instead of a shell script fact.
  * Add fix-name-of-ceilometermiddleware-package.patch.
  * Add add_cname_lookup_middleware_support.patch.
  * New upstream release.
  * Fixed depends for this release.
  * debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 12:45:05 +0100

puppet-module-swift (17.4.1-3) unstable; urgency=medium

  * Fix device UUID custom fact to work with the Bullseye version of blkid.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jan 2021 11:08:55 +0100

puppet-module-swift (17.4.1-2) unstable; urgency=medium

  * Removed dependencies on e2fsprogs and xfsprogs. (Closes: #887228).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2021 00:24:55 +0100

puppet-module-swift (17.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 16:50:56 +0200

puppet-module-swift (17.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Removed patches applied upstream:
    - Add_client_timeout_parameter_for_object-server.conf.patch
    - remove-nobarrier-option.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 14:21:56 +0200

puppet-module-swift (16.3.0-3) unstable; urgency=medium

  * Add Add_client_timeout_parameter_for_object-server.conf.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:53:51 +0200

puppet-module-swift (16.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2020 14:14:36 +0200

puppet-module-swift (16.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Add-parameter-memcache_max_connections.patch
    - Add-parameter-client_timeout.patch
    - add_chunk_size_related_parameters_for_proxy-server_and_object-server.patch
    - Add_object_server_mb_per_sync.patch
    - Add-max_upload_part_num-param.patch
  * Refreshed patches:
    - add-mount_type-param.patch
    - remove-nobarrier-option.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Apr 2020 12:54:32 +0200

puppet-module-swift (15.4.0-6) unstable; urgency=medium

  * Depends on puppet, not puppet-common.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Mar 2020 12:07:42 +0100

puppet-module-swift (15.4.0-5) unstable; urgency=medium

  * Add patches:
    add_chunk_size_related_parameters_for_proxy-server_and_object-server.patch.
    Add_object_server_mb_per_sync.patch.
    Add-max_upload_part_num-param.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Nov 2019 17:43:23 +0100

puppet-module-swift (15.4.0-4) unstable; urgency=medium

  * Add Add-parameter-client_timeout.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Nov 2019 09:43:59 +0100

puppet-module-swift (15.4.0-3) unstable; urgency=medium

  * Add Add-parameter-memcache_max_connections.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Nov 2019 08:34:28 +0100

puppet-module-swift (15.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:39:41 +0200

puppet-module-swift (15.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 11:14:14 +0200

puppet-module-swift (15.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 01:05:45 +0200

puppet-module-swift (14.4.0-4) unstable; urgency=medium

  * Switched build-dependencies to Python 3 (Closes: #937374).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 21:36:31 +0200

puppet-module-swift (14.4.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:13:11 +0200

puppet-module-swift (14.4.0-2) experimental; urgency=medium

  * Incorporate fix from 13.1.0-4 and 13.1.0-5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jun 2019 17:00:16 +0200

puppet-module-swift (14.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed runtime depends for this release.
  * Removed patches applied upstream:
    - Add-servers_per_port-param.patch
    - max_containers_per_account.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Apr 2019 11:22:37 +0200

puppet-module-swift (13.1.0-5) unstable; urgency=medium

  * Add check-for-commented-out-drives-in-fstab.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Apr 2019 17:54:30 +0200

puppet-module-swift (13.1.0-4) unstable; urgency=medium

  * Fix remove-nobarrier-option.patch braking Puppet's syntax.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Apr 2019 17:01:12 +0200

puppet-module-swift (13.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.

  [ Thomas Goirand ]
  * Remove the nobarrier option when building /etc/fstab.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Jan 2019 14:00:43 +0100

puppet-module-swift (13.1.0-2) unstable; urgency=medium

  * Add-servers_per_port-param.patch: useful for object server.
  * Use-custom-fact-to-fetch-device-s-UUID.patch: make it possible to use
    blockdevices directly (ie: no partition) if using UUID mode.
  * Add add-mount_type-param.patch.
  * Add max_containers_per_account.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Oct 2018 11:48:14 +0200

puppet-module-swift (13.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed versions of depends for this release.
  * Use team+openstack@tracker.debian.org for maintainer email.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Jun 2018 16:42:13 +0200

puppet-module-swift (12.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Mar 2018 09:00:34 +0100

puppet-module-swift (9.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #851293, CVE-2016-9590)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Wed, 18 Jan 2017 14:23:19 +0100

puppet-module-swift (9.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed runtime depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Oct 2016 13:52:05 +0000

puppet-module-swift (9.4.4-2) unstable; urgency=medium

  * Remove OSLO_PACKAGE_VERSION= from debian/rules (done in
    openstack-pkg-tools).
  * Update VCS fields.
  * Standards-Version is now 4.1.3.
  * Ran wrap-and-sort -bast.
  * Add explicit depends on xfsprogs and e2fsprogs (Closes: #887228).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:17:17 +0100

puppet-module-swift (9.4.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #851293, CVE-2016-9590)

 -- Ondřej Kobližek <koblizeko@gmail.com>  Wed, 18 Jan 2017 14:23:19 +0100

puppet-module-swift (9.4.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed runtime depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Oct 2016 13:52:05 +0000

puppet-module-swift (8.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * Added missing runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Apr 2016 10:13:19 -0500

puppet-module-swift (8.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Overrides dh_auto_install and dh_auto_build to avoid reno using git at
    build time.
  * Added python-pbr, python-setuptools and python-all as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Apr 2016 08:36:56 +0000

puppet-module-swift (8.0.0~b1-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 18:32:53 +0100

puppet-module-swift (7.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #814251)

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Feb 2016 17:02:55 +0800
